Subject: bug#1525: prompt string for execute-extended-command not flexible

From: Stefan Monnier <[email-masked]>
Date: Mon, 11 Jul 2011 23:41:59 -0400

> (key-description (car (where-is-internal 'execute-extended-command)))
> Is there any reason it doesn't just use this_command_keys which
> presumably would be more correct?

Actually the problem is that it should never have said "M-x " but rather
"Run command: ".  From this viewpoint, there's no need to use
this_command_keys: "M-x" is really only meant to be "the canonical
key-binding for this command", so (key-description (car
(where-is-internal 'execute-extended-command))) works as well.
Otherwise if someone happens to hit the "menu" key without realizing
that it's bound to execute-extended-command he might start wonder "OK
the menu bar says 'menu ' what do I do now?", whereas presumably with
"M-x " the user sees "oh that runs the same command as M-x, cool".

        Stefan